%define name ksteak
%define version 1.0.0
%define pre pre2
%define release %mkrel 0.pre.5
%define fname %name-%version%pre

Summary: KDE German/English dictionary
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
Patch: ksteak-1.0.0pre2-xdg.patch.bz2
License: GPL
Group: System/Internationalization
Url: http://www.der-fritz.de/ksteak/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel
Requires: steak

%description
This is a GUI for the steak, a German/English dictionary. It
translates a given word or the latest one in the X selection.

%prep
%setup -q -n %fname
%patch -p1

%build
%define __libtoolize true

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mv %buildroot%_datadir/applnk/Utilities/ %buildroot%_datadir/applications/


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc README* TODO AUTHORS ChangeLog
%_bindir/%name
%_libdir/lib*
%_datadir/applications/ksteak.desktop
%_datadir/apps/khtml/kpartplugins/ksteakplugin.rc
%_datadir/apps/ksteak/
%doc %_datadir/doc/HTML/*/ksteak/
%_datadir/icons/??color/*/*/*


%changelog
* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-0.pre.5mdv2008.0
+ Revision: 71640
- Import ksteak



* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 1.0.0-0.pre.5mdv2007.0
- xdg menu

* Tue Aug 30 2005 Pablo Saratxaga <pablo@mandriva.com> 1.0.0-0.pre4mdk
- fixed typo in menu

* Sat Apr 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-0.pre3mdk
- Version 1.0.0pre2

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre.2mdk
- add ldconfig call
- rebuild for new g++

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre.1mdk
- initial package
